curl --request POST \
--url https://api.tagada.io/api/public/v1/processors/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processor": {
"name": "Stripe US",
"type": "stripe",
"enabled": true,
"supportedCurrencies": [
"USD",
"EUR",
"GBP"
],
"baseCurrency": "USD",
"options": {
"secretKey": "sk_live_...",
"publicKey": "pk_live_...",
"webhookSecret": "whsec_..."
}
}
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}processors
Create processor
Create a new payment processor (PSP/gateway) connection. Requires org:admin role.
A processor defines:
- type: the gateway type (e.g.
stripe,nmi,checkout,adyen,airwallex,sandbox, etc.) - name: a friendly label for this connection
- options: gateway-specific credentials and configuration
- supportedCurrencies: which currencies this processor can handle
- baseCurrency: the processor’s settlement currency
POST
/
api
/
public
/
v1
/
processors
/
create
curl --request POST \
--url https://api.tagada.io/api/public/v1/processors/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processor": {
"name": "Stripe US",
"type": "stripe",
"enabled": true,
"supportedCurrencies": [
"USD",
"EUR",
"GBP"
],
"baseCurrency": "USD",
"options": {
"secretKey": "sk_live_...",
"publicKey": "pk_live_...",
"webhookSecret": "whsec_..."
}
}
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}